Upgrading Joomla 1.5.x to 1.6

Interactive Online > Blog  > CMS  > Joomla  > Upgrading Joomla 1.5.x to 1.6

Upgrading Joomla 1.5.x to 1.6

joomla 1.6

Here’s a response to a recent support ticket we had from a customer asking about upgrading to Joomla 1.6. It may help others in their decision with migrating to Joomla 1.6.

Joomla 1.5.22 is still the latest stable version for that particular branch of the software. It is ok to use that version. There are no known security vulnerabilities with 1.5.22 so you can continue to use it on our servers.


Joomla has 3 different branches…

Joomla 1.0.x
Joomla 1.5.x
Joomla 1.6.x

Joomla 1.6 is an entirely new branch. You cannot “upgrade” to a new branch, you have to “migrate” to the new branch… if you decide to go with 1.6. You have to install the new version, import your data, install a new 1.6 template and customize your site again… basically a site rebuild but you’ll still have your content. 

There has been a lot of confusion and frustration on the Joomla forums at http://forum.joomla.org/viewforum.php?f=625 in regards to this latest release since Joomla hyped up the CMS and didn’t offer an easy way to upgrade to 1.6. You basically have to rebuild your site in 1.6 and import the data… that is if you wanted to eventually go with 1.6.

It is not mandatory to upgrade from 1.5.22 to 1.6. In fact Joomla doesn’t even offer a upgrade option for it currently nor do they have any documentation created on how to perform the “migration”. Currently the only way to “migrate” to 1.6 is to use a 3rd party extension called jUpgrade at http://extensions.joomla.org/extensions/migration-a-conversion/joomla-migration/11658.

If you are not technically savvy with Joomla you’ll probably have to hire a designer to do it for you and rebuild your site. We may offer this type of service eventually when the problems with jUpgrade are fixed. I’ve seen a lot of people on the Joomla forums having problems using jUpgrade to upgrade to 1.6.

I’ve been quite active on the Joomla forums lately expressing our discouragement with the latest release due to the fact it will require 1.5.22 customers to eventually “migrate” in the far far future when Joomla decides to no longer provide support for 1.5.x. There’s no need to “migrate” now but it is something to consider within the next 1-2 years.

I have heard version 1.7 is in the making. 1.7 is another new branch they will be developing. It will include a migration tool, but who knows when that will be available and who knows if it will support a migration from 1.5.x. Also, Joomla 1.6 took them 2.5 years to release so who knows when Joomla 1.7 will be available. 

You’ll still see incremental upgrades for Joomla 1.5.x and 1.6.x during the next fews years due to security vulnerabilities hackers will eventually find. If there are any security updates for 1.5.x, those are required and typically can be applied using cPanel > Installatron. Currently there is no need to upgrade your site since 1.5.22 is the latest version of the 1.5.x branch.

David Tanguay

About the author David Tanguay
David is the owner of Interactive Online, a cPanel Hosting provider. He specializes in hosting and designing websites built using open source software and contributes to the Joomla, Drupal and WordPress projects. 

Free Website for Your Dental Practice
See why our dental practice websites exceed the features & value of your typcial dentist website.
  • No cookie-cutter websites
  • No duplicate content
  • Custom built with a unique look and feel
  • Unique content written by professional writers
  • Set yourself apart from other dentists
  • The key to your online success!
* we never share your e-mail with third parties.